#include "PreCompile.h"
#include "LiteMANRun.h"
#include "LiteMAN.h"

HANDLE  hInst;
HWND    hWindow;
CHAR    szBuffer[256];

LONG APIENTRY LiteMANWndProc(register HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

BOOL NEAR PASCAL LiteMANRunInit(HANDLE hInstance);


void * __cdecl operator new(unsigned int uSize)
{
  return HeapAlloc(GetProcessHeap(),0,uSize);
}

void __cdecl operator delete(void * pv)
{
  if(pv)
    HeapFree(GetProcessHeap(),0,pv);
}

/*
 *  LiteMANWndProc()
 */

LONG APIENTRY LiteMANWndProc(register HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
    switch (message) {

        case WM_CLOSE:
        case WM_ENDSESSION:
          DestroyWindow( hWnd );
          break;

        case WM_DESTROY: {
            PostQuitMessage(0);
            break;
        }
        default:
        return(DefWindowProc(hWnd, message, wParam, lParam));
    }
    return(0L);
}


BOOL NEAR PASCAL LiteMANRunInit(HANDLE hInstance)
{
WNDCLASS  LiteMANRunClass;

    LiteMANRunClass.style         = CS_VREDRAW | CS_HREDRAW | CS_DBLCLKS;
    LiteMANRunClass.lpfnWndProc   = LiteMANWndProc;
    LiteMANRunClass.cbClsExtra    = 0;
    LiteMANRunClass.cbWndExtra    = 0;
    LiteMANRunClass.hInstance     = (HINSTANCE) hInstance;
    LiteMANRunClass.hIcon         = NULL;
    LiteMANRunClass.hCursor       = LoadCursor(NULL, IDC_ARROW);
    LiteMANRunClass.hbrBackground = (HBRUSH) NULL;
    LiteMANRunClass.lpszMenuName  = NULL;
    LiteMANRunClass.lpszClassName = (LPSTR)"doofer";

    if (!RegisterClass((LPWNDCLASS)&LiteMANRunClass))
        return(FALSE);

    return(TRUE);
}



int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInst, LPSTR lpszCmdLine, int nShow)
{
register HWND hWnd;
MSG           msg;

  if (1 == initModuleEx(NULL, hInstance, ""))
  {
    return (0);
  }
  if (!LiteMANRunInit(hInstance))
    return(FALSE);

  hWnd = CreateWindow((LPSTR)"doofer",    /* The class name.           */
                      (LPSTR)szBuffer,               /* The window instance name. */
                      WS_TILEDWINDOW,
                      CW_USEDEFAULT,
                      CW_USEDEFAULT,
                      100,
                      100,
                      NULL,
                      NULL,
                      hInstance,
                      (LPSTR)NULL);

  hWindow=hWnd;

  hInst = hInstance;

  ShowWindow(hWnd, nShow);




  while (GetMessage((LPMSG)&msg, NULL, 0, 0) )
  {
    TranslateMessage((LPMSG)&msg);
    DispatchMessage((LPMSG)&msg);
  }

  quitModule(hInstance);
  return(msg.wParam);
}

EXTERN_C int CALLBACK WinMainCRTStartup()
{
  LPSTR pszCmdLine = GetCommandLine();

  // walk the command line until we're past the exe name.
  while(*pszCmdLine && *pszCmdLine != ' ')
    if(*pszCmdLine++ == '\"')
      while(*pszCmdLine && *pszCmdLine++ != '\"');
  while(*pszCmdLine == ' ')
    pszCmdLine++;

  // Damn the socket thread - its stuck alive.
  ExitProcess( WinMain(GetModuleHandle(NULL),NULL,pszCmdLine,SW_SHOWDEFAULT) );

  return 0;
}
