/**********************************************************************

  PRECOMPILE.H

  Copyright (C) 1998 (e)

  Purpose:
    The pre-compiled header definition.

**********************************************************************/

#include <windows.h>
// Another useful trick: don't want to use the run-time libs so
// make memcpy and memset 'intrinsic'.
#pragma intrinsic(memcpy, memset)
#include <ddeml.h>
#include <windowsx.h>
#include <shlobj.h>

/*
typedef LPSTR (STDAPICALLTYPE* lpfnStrChrA)(LPCSTR lpStart, WORD wMatch);
typedef LPSTR (STDAPICALLTYPE* lpfnStrStrA)(LPCSTR lpFirst, LPCSTR lpSrch);
typedef BOOL  (STDAPICALLTYPE* lpfnStrTrimA)(LPSTR psz, LPCSTR pszTrimChars);
typedef int   (STDAPICALLTYPE* lpfnStrToIntA)(LPCSTR lpSrc);
typedef void  (STDAPICALLTYPE* lpfnPathUnquoteSpacesA)(LPSTR lpsz);
typedef void  (STDAPICALLTYPE* lpfnPathQuoteSpacesA)(LPSTR lpsz);

typedef LPSTR (STDAPICALLTYPE* lpfnPathGetArgsA)(LPCSTR pszPath);
typedef void  (STDAPICALLTYPE* lpfnPathRemoveArgsA)(LPSTR pszPath);
typedef LPSTR (STDAPICALLTYPE* lpfnPathFindFileNameA)(LPCSTR pszPath);
typedef void  (STDAPICALLTYPE* lpfnPathRemoveExtensionA)(LPSTR pszPath);


extern lpfnStrChrA                     StrChrA;
extern lpfnStrStrA                     StrStrA;
extern lpfnStrTrimA                    StrTrimA;
extern lpfnStrToIntA                   StrToIntA;
extern lpfnPathUnquoteSpacesA          PathUnquoteSpacesA;
extern lpfnPathUnquoteSpacesA          PathQuoteSpacesA;
extern lpfnPathGetArgsA                PathGetArgsA;
extern lpfnPathRemoveArgsA             PathRemoveArgsA;
extern lpfnPathFindFileNameA           PathFindFileNameA;
extern lpfnPathRemoveExtensionA        PathRemoveExtensionA;


#define StrChr                  StrChrA
#define StrStr                  StrStrA
#define StrTrim                 StrTrimA
#define StrToInt                StrToIntA
#define PathUnquoteSpaces       PathUnquoteSpacesA
#define PathQuoteSpaces         PathQuoteSpacesA
#define PathGetArgs             PathGetArgsA
#define PathRemoveArgs          PathRemoveArgsA
#define PathFindFileName        PathFindFileNameA
#define PathRemoveExtension     PathRemoveExtensionA  
*/

#include "shlwapi.h"

